---
title: "gke/ERR/2021_002"
linkTitle: "ERR/2021_002"
weight: 1
type: docs
description: >
  GKE nodes service account permissions for monitoring.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

The service account used by GKE nodes should have the monitoring.metricWriter
role, otherwise ingestion of metrics won't work.

### Remediation

Make sure that you have the following role binding in the IAM policy:

- Principal: GKE node pool service account
- Role: `roles/monitoring.metricWriter`

### Further information

- [Hardening your cluster's security](https://cloud.google.com/kubernetes-engine/docs/how-to/hardening-your-cluster)
